Bug 120527 - CAN-2004-0447 [PATCH] IPF kernel crashes under gdb
Summary: CAN-2004-0447 [PATCH] IPF kernel crashes under gdb
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks: 116727
TreeView+ depends on / blocked
 
Reported: 2004-04-09 20:22 UTC by H.J. Lu
Modified: 2013-03-06 05:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-03 22:36:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix kernel unwind (574 bytes, patch)
2004-04-09 21:53 UTC, H.J. Lu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:413 normal SHIPPED_LIVE Important: kernel security update 2004-08-03 04:00:00 UTC

Description H.J. Lu 2004-04-09 20:22:03 UTC
There is a kernel bug which causes kernel panic when debugging a
threaded application:

http://marc.theaimsgroup.com/?l=linux-ia64&m=108017737625175&w=2

The patch is in:

http://marc.theaimsgroup.com/?l=linux-ia64&m=108026377907667&w=2

Comment 1 H.J. Lu 2004-04-09 21:53:28 UTC
Created attachment 99288 [details]
A patch to fix kernel unwind

Comment 2 Don Howard 2004-05-12 22:40:37 UTC
This patch also appears to be needed for derry. 

Comment 3 Ernie Petrides 2004-05-13 01:33:48 UTC
Don, this bug will transition to "modified" when a fix is committed
to RHEL3 and then "closed/errata" when the associated RHEL3 update
is released.  Thus, a separate Bugzilla report would be needed if
the same problem must be fixed in a different release.

Cheers.  -ernie


Comment 4 Ernie Petrides 2004-05-13 01:45:52 UTC
The Derry bug has already been opened: BZ 123144.


Comment 5 Ernie Petrides 2004-06-16 07:17:11 UTC
The fix in comment #1 has just been committed to the RHEL3 U3
patch pool this evening (in kernel version 2.4.21-15.12.EL).


Comment 6 Ernie Petrides 2004-06-21 23:47:28 UTC
*** Bug 126402 has been marked as a duplicate of this bug. ***

Comment 7 Mark J. Cox 2004-06-22 07:58:36 UTC
This is CAN-2004-0447; opening bug.

Comment 8 Ernie Petrides 2004-07-31 05:55:37 UTC
A fix for this problem has also been committed to the RHEL3 E3
patch pool (in kernel version 2.4.21-15.0.4.EL).


Comment 9 Mark J. Cox 2004-08-03 22:36:25 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-413.html



Note You need to log in before you can comment on or make changes to this bug.